package modules.temp;

import com.one.ErrScreen;
import com.one.FileSource;
import com.one.ModuleRegistry;
import filemanager.TemplateManager;
import filemanager.main;

public class TMSFileSource implements FileSource
{
	public void createFile(String filename)
	{
		try
		{
			TemplateManager.exportTemplates(filename);
			main.FileSelect.showWait(filename.substring(filename.lastIndexOf('/') + 1));
		}
		catch(Exception e)
		{
			ErrScreen.showErrMsg(ModuleRegistry.getErrCode(getClass().getName()), e);
		}
	}
}
